package com.ruoyi.web.modules.epidemic.service;

import java.util.List;
import com.ruoyi.web.modules.epidemic.domain.BizLabDetection;
import com.ruoyi.web.modules.epidemic.domain.vo.QuarantineStationOptionVo;

/**
 * 实验室检测服务
 */
public interface IBizLabDetectionService
{
    BizLabDetection selectBizLabDetectionById(Long id);

    List<BizLabDetection> selectBizLabDetectionList(BizLabDetection query);

    int insertBizLabDetection(BizLabDetection row);

    int updateBizLabDetection(BizLabDetection row);

    int deleteBizLabDetectionByIds(Long[] ids);

    List<QuarantineStationOptionVo> listQuarantineStationOptions();
}
